package client;

import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.net.Socket;
import java.nio.charset.StandardCharsets;

public class Main {
    public static void main(String[] args) {
        try {
            Socket socket = new Socket("127.0.0.1", 6000);

            OutputStream os = socket.getOutputStream();
            InputStream is = socket.getInputStream();

            os.write("Hello".getBytes());
            os.flush();

            byte []input = new byte[1024];
            is.read(input);

            System.out.println(new String(input, StandardCharsets.UTF_8));

        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}

//class Data {
//    public int currentCountCardOnDesk = 0;
//    public Card []cards = new Card[5];
//    public RATE_TYPE rateType;
//}